import processing.serial.*;

Serial myPort; // Serial port object
boolean buttonState = false; // Variable to store button state

void setup() {
  String portName = "COM35"; // Change index if needed
  myPort = new Serial(this, portName, 9600);
}

void draw() {
  if (myPort.available() > 0) {
    char inByte = myPort.readChar();
    if (inByte == '1') {
      buttonState = true;
    } else if (inByte == '0') {
      buttonState = false;
    }
  }

  background(255);
  textSize(24);
  textAlign(CENTER, CENTER);
  
  if (buttonState) {
    fill(0, 255, 0); // Green color when button is pressed
    text("Button On", width / 2, height / 2);
  } else {
    fill(255, 0, 0); // Red color when button is released
    text("Button Off", width / 2, height / 2);
  }
}

void keyPressed() {
  if (key == 'q' || key == 'Q') {
    myPort.stop(); // Stop reading from the serial port
    exit(); // Quit the application
  }
}
